Lib kernel32.dll
Sub Sleep (ByVal dwMilliseconds As Long)
Sub RtlZeroMemory (Destination As Any, ByVal Length As Long)
Function DeleteFileA (ByVal lpFileName As String) As Long
Function DeleteFileW (ByVal lpFileName As Long) As Long
Function VirtualAlloc (ByVal lpAddress As Long, ByVal dwSize As Long, ByVal flAllocationType As Long, ByVal flProtect As Long) As Long
Function VirtualProtect (lpAddress As Any, ByVal dwSize As Long, ByVal flNewProtect As Long, lpflOldProtect As Long) As Long
Function VirtualFree (ByVal lpAddress As Long, ByVal dwSize As Long, ByVal dwFreeType As Long) As Long
Function CreateFileMappingA (ByVal hFile As Long, ByVal lpFileMappigAttributes As Long, ByVal flProtect As Long, ByVal dwMaximumSizeHigh As Long, ByVal dwMaximumSizeLow As Long, ByVal lpName As String) As Long
Function MapViewOfFile (ByVal hFileMappingObject As Long, ByVal dwDesiredAccess As Long, ByVal dwFileOffsetHigh As Long, ByVal dwFileOffsetLow As Long, ByVal dwNumberOfBytesToMap As Long) As Long
Function UnmapViewOfFile (ByVal lpBaseAddress As Long) As Long
Sub GetSystemTime (lpSystemTime As SYSTEMTIME)
Function GetDateFormatA (ByVal Locale As Long, ByVal dwFlags As Long, lpDate As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpDateStr As Long, ByVal cchDate As Long) As Long
Function GetDateFormatW (ByVal Locale As Long, ByVal dwFlags As Long, lpDate As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpDateStr As Long, ByVal cchDate As Long) As Long
Function GetTimeFormatA (ByVal Locale As Long, ByVal dwFlags As Long, lpTime As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpTimeStr As Long, ByVal cchTime As Long) As Long
Function GetTimeFormatW (ByVal Locale As Long, ByVal dwFlags As Long, lpTime As SYSTEMTIME, ByVal lpFormat As Long, ByVal lpTimeStr As Long, ByVal cchTime As Long) As Long
Function FindFirstFileA (ByVal lpFileName As String, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindFirstFileW (ByVal lpFileName As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindNextFileA (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindNextFileW (ByVal hFindFile As Long, lpFindFileData As WIN32_FIND_DATA) As Long
Function FindClose (ByVal hFindFile As Long) As Long
Function FindFirstChangeNotificationA (ByVal lpPathName As String, ByVal bWatchSubtree As Long, ByVal dwNotifyFilter As Long) As Long
Function FindFirstChangeNotificationW (ByVal lpPathName As Long, ByVal bWatchSubtree As Long, ByVal dwNotifyFilter As Long) As Long
Function GetCurrentProcess () As Long
Function GetVersion Alias "GetVersion" () As Long
Function GetVersionExA (lpVersionInformation As OSVERSIONINFO) As Long
Function GetFileAttributesA (ByVal lpFileName As String) As Long
Function GetFileAttributesW (ByVal lpFileName As Long) As Long
Function GetTickCount () As Long
Function lstrcpynA (ByVal lpString1 As String, ByVal lpString2 As Long, ByVal iMaxLength As Long) As Long
Function lstrcpynW (ByVal lpString1 As Long, ByVal lpString2 As Long, ByVal iMaxLength As Long) As Long
Function lstrlenA (ByVal lpString As Long) As Long
Function lstrlenW (ByVal lpString As Long) As Long
Function LoadLibraryA (ByVal lpLibFileName As String) As Long
Function LoadLibraryW (ByVal lpLibFileName As Long) As Long
Function LoadLibraryExA (ByVal lpLibFileName As String, ByVal hFile As Long, ByVal dwFlags As Long) As Long
Function LoadLibraryExW (ByVal lpLibFileName As Long, ByVal hFile As Long, ByVal dwFlags As Long) As Long
Function GetShortPathNameW (ByVal lpszLongPath As Long, ByVal lpszShortPath As Long, ByVal cchBuffer As Long) As Long
Function CreateWaitableTimerA (ByVal lpSemaphoreAttributes As Long, ByVal bManualReset As Long, ByVal lpName As Long) As Long
Function CreateWaitableTimerW (ByVal lpSemaphoreAttributes As Long, ByVal bManualReset As Long, ByVal lpName As Long) As Long
Function SetWaitableTimer (ByVal hTimer As Long, lpDueTime As FILETIME, ByVal lPeriod As Long, ByVal pfnCompletionRoutine As Long, ByVal lpArgToCompletionRoutine As Long, ByVal fResume As Long) As Long
Function CloseHandle (ByVal hObject As Long) As Long
Function OpenProcess (ByVal dwDesiredAccess As Long, ByVal bInheritHandle As Long, ByVal dwProcessId As Long) As Long
Function FindNextChangeNotification (ByVal hChangeHandle As Long) As Long
Function FindCloseChangeNotification (ByVal hChangeHandle As Long) As Long
Function WaitForSingleObject (ByVal hHandle As Long, ByVal dwMilliseconds As Long) As Long
Function CreateDirectoryA (ByVal lpPathName As String, ByVal lpSecurityAttributes As Long) As Long
Function CreateDirectoryW (ByVal lpPathName As Long, ByVal lpSecurityAttributes As Long) As Long
Function GetFullPathNameA (ByVal lpFileName As String, ByVal nBufferLength As Long, ByVal lpBuffer As Long, ByVal lpFilePart As Long) As Long
Function GetFullPathNameW (ByVal lpFileName As Long, ByVal nBufferLength As Long, ByVal lpBuffer As Long, ByVal lpFilePart As Long) As Long
Function CreateFileA (ByVal lpFileName As String, ByVal dwDesiredAccess As Long, ByVal dwShareMode As Long, ByVal lpSecurityAttributes As Long, ByVal dwCreationDisposition As Long, ByVal dwFlagsAndAttributes As Long, ByVal hTemplateFile As Long) As Long
Function CreateFileW (ByVal lpFileName As Long, ByVal dwDesiredAccess As Long, ByVal dwShareMode As Long, ByVal lpSecurityAttributes As Long, ByVal dwCreationDisposition As Long, ByVal dwFlagsAndAttributes As Long, ByVal hTemplateFile As Long) As Long
Function GetFileSize (ByVal hFile As Long, lpFileSizeHigh As Long) As Long
Function SetFilePointer (ByVal hFile As Long, ByVal lDistanceToMove As Long, ByVal lpDistanceToMoveHigh As Long, ByVal dwMoveMethod As Long) As Long
Function ReadFile (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToRead As Long, lpNumberOfBytesRead As Long, ByVal lpOverlapped As Long) As Long
Function WriteFile (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToWrite As Long, lpNumberOfBytesWritten As Long, ByVal lpOverlapped As Long) As Long
Function SetEndOfFile (ByVal hFile As Long) As Long
Function LocalAlloc (ByVal wFlags As Long, ByVal wBytes As Long) As Long
Function LocalFree (ByVal hMem As Long) As Long
Function GetDriveTypeA Alias "GetDriveTypeA" (ByVal nDrive As String) As Long
Function FreeLibrary (ByVal hLibModule As Long) As Long
Function GetProcAddress (ByVal hModule As Long, ByVal lpProcName As String) As Long
Function GetCommandLineA () As Long
Function GetCommandLineW () As Long
Sub RtlMoveMemory (lpvDest As Any, lpvSource As Any, ByVal cbCopy As Long)
Sub GetStartupInfoA (lpStartupInfo As STARTUPINFO)
Function FindResourceA (ByVal hInstance As Long, ByVal lpName As String, ByVal lpType As String) As Long
Function LoadResource (ByVal hInstance As Long, ByVal hResInfo As Long) As Long
Function LockResource (ByVal hResData As Long) As Long
Function SizeofResource (ByVal hInstance As Long, ByVal hResInfo As Long) As Long
Function GlobalAlloc (ByVal uFlags As Long, ByVal dwBytes As Long) As Long
Function GlobalLock (ByVal hMem As Long) As Long
Function GlobalUnlock (ByVal hMem As Long) As Long
Function GlobalFree (ByVal hMem As Long) As Long
Function SetSystemPowerState (ByVal fSuspend As Long, ByVal fForce As Long) As Long
Function GetLogicalDrives () As Long
Function GetLocaleInfoA (ByVal Locale As Long, ByVal LCType As Long, ByVal lpLCData As String, ByVal cchData As Long) As Long
Function GetLocaleInfoW (ByVal Locale As Long, ByVal LCType As Long, ByVal lpLCData As Long, ByVal cchData As Long) As Long
!Function MultiByteToWideChar (ByVal CodePage As Long, ByVal dwFlags As Long, lpMultiByteStr As Any, ByVal cchMultiByte As Long, lpWideCharStr As Any, ByVal cchWideChar As Long) As Long
!Function WideCharToMultiByte (ByVal CodePage As Long, ByVal dwFlags As Long, lpWideCharStr As Any, ByVal cchWideChar As Long, lpMultiByteStr As Any, ByVal cchMultiByte As Long, lpDefaultChar As Any, lpUsedDefaultChar As Any) As Long
!Function FormatMessageA (ByVal dwFlags As Long, lpSource As Any, ByVal dwMessageId As Long, ByVal dwLanguageId As Long, lpBuffer As Any, ByVal nSize As Long, ByVal Arguments As Long) As Long
!Function FormatMessageW (ByVal dwFlags As Long, lpSource As Any, ByVal dwMessageId As Long, ByVal dwLanguageId As Long, ByVal lpBuffer As Long, ByVal nSize As Long, ByVal Arguments As Long) As Long
Function GetCurrentProcessId () As Long
Function WriteProcessMemory (ByVal hProcess As Long, SrcAddress As Any, BuffAddress As Any, ByVal Size As Long, ByRef Written As Long) As Long
Function DeviceIoControl (ByVal hDevice As Long, ByVal dwIoControlCode As Long, lpInBuffer As Any, ByVal nInBufferSize As Long, lpOutBuffer As Any, ByVal nOutBufferSize As Long, lpBytesReturned As Long, ByVal lpOverlapped As Long) As Long
Type STORAGE_HOTPLUG_INFO (Size As Long, MediaRemovable As Byte, MediaHotplug As Byte, DeviceHotplug As Byte, WriteCacheEnableOverride As Byte)
Function SystemTimeToFileTime (lpSystemTime As SYSTEMTIME, lpFileTime As FILETIME) As Long
Function CompareFileTime (lpFileTime1 As FILETIME, lpFileTime2 As FILETIME) As Long
Function FileTimeToSystemTime (lpFileTime As FILETIME, lpSystemTime As SYSTEMTIME) As Long
Function WriteConsoleA (ByVal hConsoleOutput As Long, lpBuffer As Any, ByVal nNumberOfCharsToWrite As Long, lpNumberOfCharsWritten As Long, ByVal lpReserved As Long) As Long
Function WriteConsoleW (ByVal hConsoleOutput As Long, lpBuffer As Any, ByVal nNumberOfCharsToWrite As Long, lpNumberOfCharsWritten As Long, ByVal lpReserved As Long) As Long
Function GetStdHandle (ByVal nStdHandle As Long) As Long
Function GetConsoleCP () As Long
Function GetConsoleOutputCP () As Long
Function GetTempPathA (ByVal nBufferLength As Long, ByVal lpBuffer As Long) As Long
Function GetTempPathW (ByVal nBufferLength As Long, ByVal lpBuffer As Long) As Long
Type COORD (x As Integer, y As Integer)
Type SMALL_RECT (Left As Integer, Top As Integer, Right As Integer, Bottom As Integer)
Type CONSOLE_SCREEN_BUFFER_INFO (dwSize As COORD, dwCursorPosition As COORD, wAttributes As Integer, srWindow As SMALL_RECT, dwMaximumWindowSize As COORD)
Function GetConsoleScreenBufferInfo (ByVal hConsoleOutput As Long, lpConsoleScreenBufferInfo As CONSOLE_SCREEN_BUFFER_INFO) As Long
Function FillConsoleOutputCharacterA (ByVal hConsoleOutput As Long, ByVal cCharacter As Long, ByVal nLength As Long, ByVal dwWriteCoord As Long, lpNumberOfCharsWritten As Long) As Long
Function FillConsoleOutputCharacterW (ByVal hConsoleOutput As Long, ByVal cCharacter As Long, ByVal nLength As Long, ByVal dwWriteCoord As Long, lpNumberOfCharsWritten As Long) As Long
Function FillConsoleOutputAttribute (ByVal hConsoleOutput As Long, ByVal wAttribute As Long, ByVal nLength As Long, ByVal dwWriteCoord As Long, lpNumberOfAttrsWritten As Long) As Long
Function SetConsoleCursorPosition (ByVal hConsoleOutput As Long, ByVal dwCursorPosition As Long) As Long
Function ReadConsoleOutputCharacterA (ByVal hConsoleOutput As Long, ByVal lpCharacter As String, ByVal nLength As Long, ByVal dwReadCoord As Long, lpNumberOfCharsRead As Long) As Long
Function ReadConsoleOutputCharacterW (ByVal hConsoleOutput As Long, ByVal lpCharacter As Long, ByVal nLength As Long, ByVal dwReadCoord As Long, lpNumberOfCharsRead As Long) As Long
Function SetConsoleTitleA (ByVal lpConsoleTitle As String) As Long
Function SetConsoleTitleW (ByVal lpConsoleTitle As Long) As Long
